RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1470054 - Rebase libtevent to enable samba rebase to version 4.7.x
Summary: Rebase libtevent to enable samba rebase to version 4.7.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libtevent
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: sssd-qe
URL:
Whiteboard:
Depends On:
Blocks: 1470048 1472344
TreeView+ depends on / blocked
 
Reported: 2017-07-12 10:56 UTC by Andreas Schneider
Modified: 2018-04-10 16:15 UTC (History)
4 users (show)

Fixed In Version: libtevent-0.9.33-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 16:14:52 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0887 0 None None None 2018-04-10 16:15:05 UTC

Description Andreas Schneider 2017-07-12 10:56:13 UTC
Samba rebase was proposed in bug #1470048. Rebase also this component, given that it as a dependency of new samba.

Comment 2 Madhuri 2018-01-24 12:38:40 UTC
Verified with version:
Samba-4.7.1-6.el7.x86_64
libtevent-0.9.33-2.el7.x86_64

Tested the bug on the basis of following observations:
# rpm -qa | grep samba
samba-4.7.1-6.el7.x86_64
samba-common-libs-4.7.1-6.el7.x86_64
samba-client-libs-4.7.1-6.el7.x86_64
samba-libs-4.7.1-6.el7.x86_64
samba-common-4.7.1-6.el7.noarch
samba-common-tools-4.7.1-6.el7.x86_64

# rpm -qa | grep libtevent
libtevent-0.9.33-2.el7.x86_64

Installation and other sanity checks verifies current version of samba package.

# tail -1 /var/log/yum.log
Jan 24 17:28:38 Installed: samba-4.7.1-6.el7.x86_64

# cat /var/log/samba/log.smbd
[2018/01/24 17:31:38.874863,  0] ../lib/util/become_daemon.c:124(daemon_ready)
  STATUS=daemon 'smbd' finished starting up and ready to serve connections

# ps -eZ | grep smb
system_u:system_r:smbd_t:s0      3829 ?        00:00:00 smbd
system_u:system_r:smbd_t:s0      3831 ?        00:00:00 smbd-notifyd
system_u:system_r:smbd_t:s0      3832 ?        00:00:00 cleanupd
system_u:system_r:smbd_t:s0      3833 ?        00:00:00 lpqd

Thus on the basis of above observations, marking the status of bug to 'Verified'.

Comment 5 errata-xmlrpc 2018-04-10 16:14:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0887


Note You need to log in before you can comment on or make changes to this bug.